Package com.pixelmed.convert

# Class TIFFImageFileDirectory

java.lang.Object
com.pixelmed.convert.TIFFImageFileDirectory

public class TIFFImageFileDirectory extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected SortedMap<Integer,TIFFImageFileDirectoryEntry>`
`entries`
`protected long`
`ifdOffsetNext`
`protected long`
`ifdOffsetThis`

## Constructor Summary

Constructors
Constructor
Description
`TIFFImageFileDirectory()`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getByteValues(int tagIdentifier)`
`TIFFImageFileDirectoryEntry`
`getEntry(int tagIdentifier)`
`long[]`
`getNumericValues(int tagIdentifier)`
`long`
`getSingleNumericValue(int tagIdentifier, int valueNumber, long defaultValue)`
`double`
`getSingleRationalValue(int tagIdentifier, int valueNumber, double defaultValue)`
`String[]`
`getStringValues(int tagIdentifier)`
`long`
`read(TIFFFile f, long ifdOffset)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### ifdOffsetThis

protected long ifdOffsetThis

### ifdOffsetNext

protected long ifdOffsetNext

### entries

protected SortedMap<Integer,TIFFImageFileDirectoryEntry> entries

## Constructor Details

### TIFFImageFileDirectory

public TIFFImageFileDirectory()

## Method Details

### read

public long read(TIFFFile f, long ifdOffset) throws EOFException, IOException, TIFFException

Throws:
  `EOFException`
  `IOException`
  `TIFFException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getEntry

public TIFFImageFileDirectoryEntry getEntry(int tagIdentifier)

### getSingleRationalValue

public double getSingleRationalValue(int tagIdentifier, int valueNumber, double defaultValue)

### getSingleNumericValue

public long getSingleNumericValue(int tagIdentifier, int valueNumber, long defaultValue)

### getNumericValues

public long[] getNumericValues(int tagIdentifier)

### getByteValues

public byte[] getByteValues(int tagIdentifier)

### getStringValues

public String[] getStringValues(int tagIdentifier)